Module java.net.http
Package java.net.http

## Class WebSocketHandshakeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.http.WebSocketHandshakeException

All Implemented Interfaces:
  `Serializable`

    public final class WebSocketHandshakeException
    extends IOException

Thrown when the opening handshake has failed.

Since:
  11
See Also:
  Serialized Form

### Constructor Summary

Constructors
`WebSocketHandshakeException​(HttpResponse<?> response)` Constructs a `WebSocketHandshakeException` with the given `HttpResponse`.

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpResponse<?>` `getResponse()` Returns the server's counterpart of the opening handshake.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketHandshakeException

    public WebSocketHandshakeException​(HttpResponse<?> response)

Constructs a `WebSocketHandshakeException` with the given `HttpResponse`.

Parameters:
  `response` - the `HttpResponse` that resulted in the handshake failure

### Method Detail

#### getResponse

    public HttpResponse<?> getResponse()

Returns the server's counterpart of the opening handshake.

The value may be unavailable (`null`) if this exception has been serialized and then deserialized.

API Note:
  The primary purpose of this method is to allow programmatic examination of the reasons behind the failure of the opening handshake. Some of these reasons might allow recovery.
Returns:
  server response